DEFINES=-D'LIBDIR="/usr/lib/X11/asfaces"'

#*********** SCO *************
LIBS = -lsocket
#****** default c++ compiler ******
CC = CC
C++FLAGS = -O $(DEFINES) -I/usr/local/include
#****** gnu c++ compiler ******
#CC = g++ 
#CXXFLAGS = -O1 $(DEFINES) -I/usr/local/include
#****** elf ******
LDFLAGS = -belf
#****** elf ******
#LDFLAGS = -coff
XPMLIB = -L/usr/local/lib -lXpm

#*********** Linux *************
LIBS = -lsocket
#CC = g++
#CXXFLAGS = -O1 $(DEFINES)
#LDFLAGS = 
#LIBS = 
XPMLIB = -lXpm

#*********** SUN *************
#OS=-DSUN
#CC = g++
#CXXFLAGS = -O1 $(DEFINES)
#LDFLAGS = 
#LIBS =
XPMLIB = -lXpm

all: asfaces

SRCS = pixmapnode.C confignode.C configutil.C mailnode.C mailutil.C xutil.C scrollutil.C main.C

OBJS = xutil.o pixmapnode.o confignode.o configutil.o mailnode.o mailutil.o scrollutil.o main.o

asfaces: $(SRCS) $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(XPMLIB) -lXext -lXt -lX11 $(LIBS) -lc
